package v1

import (
	"metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client"
	"metawant.greentech.com.cn/gaoyagang/gt-common/httplib"
	"testing"
)

func TestDcApi_FindKyLink(t *testing.T) {
	var c = NewDcApi(ClientOptions{
		HTTPSettings: httplib.HTTPSettings{},
		ServerIp:     "127.0.0.1:8080",
		AppName:      "simulations",
		AppSecret:    "e3fc084fda3d2a6628b9ce28abf21243",
	})

	data, err := c.FindKyLink(datacenter_client.FindKyLinkDataReq{
		ProjectId: 92,
		Customer:  "93,117",
		Stime:     "2024-06-24 00:00:00",
		Etime:     "2024-06-29 14:00:00",
		//Page:      1,
		//PageSize:  50,
		//Order:     "id asc",
		//OnlyEven:  1,
	})
	t.Log(data)
	t.Log(err)
}
