package mail

// Email 邮箱
type Email struct {
	From     string // 发送方
	PassWord string // 发送方-密码
	To       string // 接收方，可逗号分割多个收件人
	Subject  string // 主题
	Content  string // 正文
}

type (
	MailAPI interface {
		SendPanicWarning(content string) (err error)
		SendCustomWarning(subject, content string) (err error)
		SendErrorWarning(err error) error
	}
)
