package client

import (
	"metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client"
	v1 "metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client/v1"
	"metawant.greentech.com.cn/gaoyagang/gt-common/httplib"
)

// 创建一个v1版本的数据调用接口
func CreateDcApiClient(ip, appName, appSecret string, opts ...v1.Opts) datacenter_client.DcAPI {
	client := v1.NewDcApi(v1.ClientOptions{
		HTTPSettings: httplib.HTTPSettings{},
		ServerIp:     ip,
		AppName:      appName,
		AppSecret:    appSecret,
		// 以下两项暂时不使用了
		//DoBefore:     nil,
		//DoAfter:      nil,
	})

	return client
}

// 业务扩展中还会存在v2 ...
