package client

import (
	"metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client"
	"testing"
)

func TestCreateDcApiClient(t *testing.T) {
	v1 := CreateDcApiClient("47.96.12.136:8788", "simulations", "e3fc084fda3d2a6628b9ce28abf21243")

	resp, err := v1.ObtainRangeMaxMin(&datacenter_client.RangeMaxMinReq{
		ProjectId: "92",
		ItemName:  "C.M.CIP_QXB1_A@out",
		Stime:     "2023-12-27 12:05:44",
		Etime:     "2024-01-27 12:05:44",
	})

	t.Log(resp)
	t.Log(err)

	resp1, err1 := v1.FindWorkingUfByCycle(datacenter_client.FindWorkingUfByCycleReq{
		ProjectId:       92,
		DeviceCode:      "UF-4001C",
		FilterCycle:     7,
		Step:            26,
		FilterTimeStart: 584.00,
		FilterTimeEnd:   3546.00,
		Limit:           5,
	})

	t.Logf("%#v", resp1)
	t.Log(err1)
}
