package v1

import (
	"metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client"
	"metawant.greentech.com.cn/gaoyagang/gt-common/httplib"
	"strconv"
	"strings"
)

func (d *DcApi) FindDataCorrelation(params datacenter_client.FindDataCorrelationReq) (*datacenter_client.FindDataCorrelationResp, error) {
	serviceName := "/data/correlation"
	h := httplib.Get(d.serviceUrl(serviceName))
	h.Param("project_id", strconv.FormatInt(params.ProjectId, 10))
	h.Param("items", strings.Join(params.Items, ","))
	h.Param("stime", params.Stime)
	h.Param("etime", params.Etime)

	resp := &datacenter_client.FindDataCorrelationResp{}

	err := d.call(h, resp)
	return resp, err
}
