package v1

import (
	"metawant.greentech.com.cn/gaoyagang/gt-common/datacenter_client"
	"metawant.greentech.com.cn/gaoyagang/gt-common/httplib"
	"testing"
)

func TestDcApi_FindEventList(t *testing.T) {
	var c = NewDcApi(ClientOptions{
		HTTPSettings: httplib.HTTPSettings{},
		ServerIp:     "127.0.0.1:8080",
		AppName:      "simulations",
		AppSecret:    "e3fc084fda3d2a6628b9ce28abf21243",
	})

	data, err := c.FindEventList(datacenter_client.FindEventListReq{
		ProjectId:  92,
		Name:       "FLUID_LEVEL_CHANGE",
		DeviceCode: "LIT-54061A",
		Item:       "asdfasdf",
		Stime:      "2024-06-29 00:00:00",
		Etime:      "2024-06-29 14:00:00",
	})
	t.Log(data)
	t.Log(err)
}
