package envitem

import (
	"github.com/go-redis/redis/v8"
	"time"
)

const (
	CACHE_PREV_VALUE_KEY        = "envitem:prev:value:%d:%s"
	CACHE_PREV_VALUE_KEY_EXPIRE = 86400 * time.Second

	// CACHE_ADJUST_VALUE_KEY 会出现自控系统中点位值阻塞, 不发生变化的情况, 这里增加一个adjust来校准. 非常规操作
	CACHE_ADJUST_VALUE_KEY = "envitem:adjust:value:%d:%s"
)

var (
	snapUrl        = ""
	ctlUrl         = ""
	cache          *redis.Client
	fetchMultiItem = false
	adjustValue    = false
	plcItemUrl     = ""
	plcItemSecret  = ""
)
