package identify

import "testing"

func TestStepTest(t *testing.T) {
	// 只要值发生改变就触发  旧值的可选范围中, 不包含新值
	// 适合液位变化, 开关量, 敏感数据监控
	rule := `{"xxx":{"NvIn":["1"],"OvIn":["0"]}}`
	x := StepTest("0", "0", rule)
	t.Log(x)
}

func TestStepTest1(t *testing.T) {
	// 值逻辑比较 > 0.00032的情况
	rule := `{"xxx":{"NvIn":["> 0.00032"]}}`
	x := StepTest("0", "0.00033", rule)
	t.Log(x)
}
