package mail

type MailClient struct {
	AppName string
	Mode    string
	Server  string
	Port    string
}

func CreateDefaultMailApiClient(appName, mode string) *MailClient {
	return createMailApiClient(appName, mode, SMTP_SERVER, SMTP_PORT)
}

func createMailApiClient(appName, mode, server, port string) *MailClient {
	return &MailClient{
		AppName: appName,
		Mode:    mode,
		Server:  server,
		Port:    port,
	}
}
