package rabbitMQ

import "github.com/streadway/amqp"

type (
	Exchange struct {
		Name      string // 交换机名称
		Type      string // 交换机类型
		QueueName string // 队列名称
		Key       string // key值
		Dns       string // 链接地址
	}

	// Producter 生产者
	Producter struct {
		conn     *amqp.Connection
		channel  *amqp.Channel
		Exchange Exchange
	}

	// Consumer 消费者
	Consumer struct {
		conn    *amqp.Connection
		channel *amqp.Channel
	}
)

var (
	name = "a"
)
